import QtQuick 1.0

Item {
    id:marqueeText
    height: scrollingText.height
    clip: true

    property int tempX: marqueeText.width
    property alias text: scrollingText.text
    Text {
        x: tempX
        id:scrollingText
        color: "yellow"
        font.pixelSize: marqueeText.height - 4;
    }
    Timer {
        id:timer
        interval: 50; running: true; repeat: true
        onTriggered:{
            tempX = tempX - 5
            scrollingText.x = tempX;
            //console.debug("Tempx = " + tempX + "Text Width = " + scrollingText.width, " Height = " + marqueeText.height)

            if( tempX < -scrollingText.width) {
                tempX = marqueeText.width;
                console.debug("Restart Scrolling Text")
            }
        }
    }
}
